## nfs-utils 1.2.5

=== debian/changelog ===
nfs-utils (1:1.2.5-3ubuntu3.1) precise-proposed; urgency=low

  [ Matthew L. Dailey ]
  * Add "-e" (ticket expiry is error) option to rpc.gssd to prevent hangs due
    to EKEYEXPIRED error from kernel on ticket expiry. LP: #794112 

 -- Adam Stokes <adam.stokes@canonical.com>  Thu, 06 Sep 2012 13:06:19 -0400

nfs-utils (1:1.2.5-3ubuntu3) precise; urgency=low

  * In some cases, /var/lib/nfs/rpc_pipefs is successfully unmounted on
    upgrade but the directory still has contents within it.  Since this is
    /var/lib we shouldn't assume it's ok for delete these; instead, pass
    --ignore-fail-on-non-empty to rmdir.  LP: #954619.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 08 Apr 2012 22:44:40 -0700

nfs-utils (1:1.2.5-3ubuntu2) precise; urgency=low

  * Fix wrong path to rpcinfo in the init script, which breaks use of nfs
    v3 support in the server.  LP: #945651.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Mar 2012 10:44:03 -0700

nfs-utils (1:1.2.5-3ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - debian/nfs-common.{statd,statd-mounting,gssd,idmapd}.upstart,
      debian/control, debian/nfs-common.{preinst,postinst,prerm,postrm},
      debian/rules: drop nfs-common init script in favor of upstart jobs,
      and build-depend on debhelper (>= 7.3.15ubuntu3) for correct upstart
      init handling.
    - Depend on rpcbind (>= 0.2.0-6ubuntu1) for upstart support.
    - debian/nfs-kernel-server.postinst: don't call "invoke-rc.d nfs-common"
      in the postinst, this is redundant anyway and the nfs-common init script
      is gone now.
    - nfs-kernel-server.default:  Add comment about how to disable nfs4.
    - nfs-kernel-server.init: Unmount nfsd fs when init script stops
    - Allow issuing options to rpc.nfsd
    - debian/nfs-common.defaults: always start idmapd automatically; drop
      the configuration option.
    - Move /var/lib/nfs/rpc_pipefs to /run/rpc_pipefs.  This does not belong
      in /var/lib.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Jan 2012 09:20:27 -0800

nfs-utils (1:1.2.5-3) unstable; urgency=low

  [ Roger Leigh ]
  * /run transition: nfs-common migrates
    /lib/init/rw/sendsigs.omit.d/statd to /run/sendsigs.omit.d on upgrade,
    and uses /run/sendsigs.omit.d.  Depend on initscripts
    (>= 2.88dsf-13.3) to guarantee the existence of
    /run/sendsigs.omit.d (Closes: #633034).

  [ Luk Claes ]
  * Version libgssglue-dev build dependency (Closes: #651354).

  [ Luca Capello ]
  * debian/control:
    + add mount.nfs to the long Description: (Closes: #644358).

 -- Luk Claes <luk@debian.org>  Fri, 09 Dec 2011 11:55:31 +0100

nfs-utils (1:1.2.5-2ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - debian/nfs-common.{statd,statd-mounting,gssd,idmapd}.upstart,
      debian/control, debian/nfs-common.{preinst,postinst,prerm,postrm},
      debian/rules: drop nfs-common init script in favor of upstart jobs,
      and build-depend on debhelper (>= 7.3.15ubuntu3) for correct upstart
      init handling.
    - Depend on rpcbind (>= 0.2.0-6ubuntu1) for upstart support.
    - debian/nfs-kernel-server.postinst: don't call "invoke-rc.d nfs-common"
      in the postinst, this is redundant anyway and the nfs-common init script
      is gone now.
    - nfs-kernel-server.default:  Add comment about how to disable nfs4.
    - nfs-kernel-server.init: Unmount nfsd fs when init script stops
    - Allow issuing options to rpc.nfsd
    - debian/nfs-common.defaults: always start idmapd automatically; drop
      the configuration option.
    - Move /var/lib/nfs/rpc_pipefs to /run/rpc_pipefs.  This does not belong
      in /var/lib.
  * Dropped changes, superseded in Debian/upstream:
    - debian/patches/multiarch-kerberos-paths: Search for kerberos libs
      in multiarch locations.
    - ubuntu-fix-kernel-version-handling: avoid segfaults from short kernel
      version numbers.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 30 Oct 2011 00:12:50 +0000

nfs-utils (1:1.2.5-2) unstable; urgency=low

  * debian/patches/18-dont-use-PAGE_SIZE.patch

 -- Luk Claes <luk@debian.org>  Sun, 02 Oct 2011 22:21:10 +0200

nfs-utils (1:1.2.5-1) unstable; urgency=low

  * New upstream version
    - deleted: 13-preserve-explicit-port-2049.patch
    - deleted: 17-Fix-statd.8-manpage-syntax-visible.patch
    - deleted: 18-Fix-nfsiostat.8-manpage-syntax-missing-.I.patch
    - deleted: 19-exports.man-Fix-comment-syntax.patch
    - deleted: 20-nfs.man-Fix-fstab-example.patch
    - deleted: 22-start-statd-Use-bash.patch
    - deleted: 23-nfs.man-escape-nroff-for-proper-rendering.patch
      (Closes: #636278).
    - support less components in version number (Closes: #632457).
    - idmapd: correctly convert ocal encoded fields (Closes: #640105).
    - svcgssd: use correct defaults in call to gss_set_allowable_enctypes
      (Closes: #637660).
    - rpc.statd: Bind downcall socket to loopback address (Closes: #457095). 
  * Add version to build-dep on libnfsidmap-dev (Closes: #639691).
  * debian/idmapd.conf: Comment Domain (Closes: #638607).
  * debian/patches/17-multiarch-kerberos-paths.patch (Closes: #642797).
  * Add build dependency on libdevmapper-dev for blkmapd.
  * Use dh_autoreconf to make sure original files are restored.
  * Install blkmapd and its manpage.

 -- Luk Claes <luk@debian.org>  Sun, 02 Oct 2011 18:29:53 +0200

nfs-utils (1:1.2.4-2) UNRELEASED; urgency=low

  [ Luk Claes ]
  * nfs-kernel-server-default: Add comment about how to disable NFSv4

  [ Ben Hutchings ]
  * nfs.man: escape ' nroff for proper rendering, thanks to Simon Paillard
    (Closes: #636278)

 -- Luk Claes <luk@debian.org>  Sat, 06 Aug 2011 07:38:48 +0200

nfs-utils (1:1.2.4-1ubuntu4) precise; urgency=low

  * debian/nfs-common.postinst: handle the case when /var/lib/nfs/rpc_pipefs
    is not already mounted on upgrade - dpkg will already remove the

