## nfs-utils 1.2.8

=== debian/changelog ===
nfs-utils (1:1.2.8-9ubuntu12.3) xenial-security; urgency=medium

  * SECURITY UPDATE: privilege escalation via directory permissions
    - debian/patches/CVE-2019-3689.patch: take user-id from
      /var/lib/nfs/sm in support/nsm/file.c, utils/statd/sm-notify.man,
      utils/statd/statd.man.
    - debian/nfs-common.postinst: don't make /var/lib/nfs owned by statd.
    - CVE-2019-3689

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Jun 2020 08:16:51 -0400

nfs-utils (1:1.2.8-9ubuntu12.2) xenial; urgency=medium

  * d/nfs-utils_env.sh: alongside RPCSVCGSSDARGS, also export SVCGSSDARGS,
    which is the variable name expected by the rpc-svcgssd systemd service.
    (LP: #1616123)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 25 Apr 2019 17:23:49 -0300

nfs-utils (1:1.2.8-9ubuntu12.1) xenial; urgency=medium

  * Fixing nfs-mountd dependency on rpcbind (race condition) (LP: #1590799)
    by adding "rpcbind.socket" to "nfs-mountd.service"  as a dependency
    to avoid race conditions:
    - Add systemd-Fix-nfs-mountd-dependency-on-rpcbind.patch
    - Add systemd-unit-files-fix-up-dependencies-on-rpcbind.patch

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Wed, 29 Mar 2017 10:50:52 +0200

nfs-utils (1:1.2.8-9ubuntu12) xenial; urgency=medium

  * Drop gssproxy as it's not in Ubuntu (LP: #1446851)
  * Fix no nfs doesn't show failed units on client (LP: #1452667)

 -- Bryan Quigley <bryan.quigley@canonical.com>  Wed, 02 Mar 2016 15:01:29 -0500

nfs-utils (1:1.2.8-9ubuntu11) xenial; urgency=medium

  * Drop obsolete and no-op dh_installinit --upstart-only option.
    (LP: #1519228)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 24 Nov 2015 09:39:56 +0100

nfs-utils (1:1.2.8-9ubuntu10) wily; urgency=medium

  * debian/nfs-common.links: Add naming compatibility symlinks for
    gssd.service → rpc-gssd.service and idmapd.service →  /dev/null (as this
    is bound to/handled by nfs-server.service) to provide a match for the
    upstart job names. (LP: #1476010).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 28 Aug 2015 09:59:48 +0200

nfs-utils (1:1.2.8-9ubuntu9) wily; urgency=medium

  * Drop versioned mountall dependency. Trusty's is already newer and we don't
    need it with systemd under Ubuntu 15.04 and newer.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 27 Jul 2015 10:37:24 +0200

nfs-utils (1:1.2.8-9ubuntu8.1) vivid; urgency=medium

  * Add a dependency on keyutils to nfs-common, so that idmapping will work
    under systemd.  LP: #1449074.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 27 Apr 2015 17:46:03 +0200

nfs-utils (1:1.2.8-9ubuntu8) vivid; urgency=medium

  * Ship missing .override files
  * Ensure we only remove the manual flag from the statd-mounting.override
    file, and potentially, remove it if empty.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 01 Apr 2015 08:22:59 +0200

nfs-utils (1:1.2.8-9ubuntu7) vivid; urgency=medium

  * 27-systemd-enable-with-systemctl-statd.patch: let the admin
    enable/disable statd via systemd tools. (LP: #1428486)
  * debian/nfs-common.default: remove NEED_STATD and related comment.
  * debian/statd{,-mounting}.upstart: remove the usage of NEED_STATD, we'll
    directly disable the jobs now.
  * debian/rules: don't start statd by default (or it will trigger upstart
    and systemd statd unit startup).
  * debian/nfs-common.{preinst,postinst}: transition the conffile to the new
    template and enable statd services in both upstart and systemd if
    NEED_STATD was set to yes.
  * debian/control, debian/*install: move nfs-utils.service to nfs-common
    package. (LP: #1436304)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 12 Mar 2015 09:13:06 +0100

nfs-utils (1:1.2.8-9ubuntu6) vivid; urgency=medium

  * Revert previous upload; per upstream, rpc.idmapd is not used when the
    nfsidmap utility is available and configured for use in request-key
    upcalls.  So rpc.idmapd does not need to be started on clients anymore.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 06 Mar 2015 10:19:57 -0800

nfs-utils (1:1.2.8-9ubuntu5) vivid; urgency=medium

  * Add 27-systemd-start-nfs-idmapd-also-on-clients.patch: idmapd is needed
    for clients too, so start it from nfs-client.target and stop binding to it
    in nfs-server.service. (LP: #1428961)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 06 Mar 2015 11:56:46 +0100

nfs-utils (1:1.2.8-9ubuntu4) vivid; urgency=medium

  * Add autopkgtest for installing server and client on localhost, setting up
    two exports, rebooting, and ensuring that the NFS mounts work.
  * Add 23-systemd-relax-dependencies.patch: Stop depending on basic.target in
    the daemons which still do; i. e. add DefaultDependencies=no. This makes
    it possible to run NFS during early boot, helps if you e. g. have /var
    on NFS, and avoids dependency cycles with rcS init.d scripts which depend
    on $remote_fs. (LP: #1428487)
  * Shift number prefixes of other systemd patches accordingly, and adjust
    them to the above patch.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 05 Mar 2015 10:43:54 +0100

nfs-utils (1:1.2.8-9ubuntu3) vivid; urgency=medium

  * Add 00git-start-statd-systemd.patch: Latest start-statd script from
    1.3.2 to start rpc-statd.service under systemd.
  * Add 23-systemd-pipefs_in_run.patch: systemd: Mount rpc_pipefs in /run instead of
    /var/lib/nfs/, like in the upstart units.
  * Add 24-systemd-daemon-paths.patch: Adjust program paths in systemd units.
  * debian/nfs-kernel-server.links: Add nfs-kernel-server.service alias
    symlink, to match SysV init script.
  * Add 25-systemd-server-before-client.patch: Order NFS server before client,
    to make mounting NFS shares from localhost work reliably.
  * Add debian/nfs-utils_env.sh: Translate our /etc/default files into runtime
    configuration for nfs-config.service.
  * debian/nfs-{common,kernel-server}.install: Install systemd units.
  * debian/rules: Enable/start systemd units. (LP: #1312976)


