=== debian/control ===
Source: nfs-utils
Priority: standard
Section: net
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 7), libwrap0-dev, libevent-dev, libnfsidmap-dev (>= 0.24), libkrb5-dev, libgssglue-dev (>= 0.3), libblkid-dev, libkeyutils-dev, pkg-config, libldap2-dev, libcap-dev, libtirpc-dev (>= 0.2.4-2~), libdevmapper-dev, dh-autoreconf, libmount-dev, libsqlite3-dev, dh-systemd
Standards-Version: 3.9.0
Homepage: http://nfs.sourceforge.net/
Vcs-Git: git://git.debian.org/kernel/nfs-utils.git
Vcs-Browser: http://git.debian.org/?p=kernel/nfs-utils.git

Package: nfs-kernel-server
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nfs-common (= ${binary:Version}), ucf, lsb-base (>= 1.3-9ubuntu3), libtirpc1 (>= 0.2.4)
Provides: knfs, nfs-server
Conflicts: knfs, nfs-server
Replaces: knfs, nfs-server
Description: support for NFS kernel server
 The NFS kernel server is currently the recommended NFS server for use
 with Linux, featuring features such as NFSv3 and NFSv4, Kerberos
 support via GSS, and much more. It is also significantly faster and
 usually more reliable than the user-space NFS servers (from the
 unfs3 and nfs-user-server packages). However, it is more difficult to
 debug than the user-space servers, and has a slightly different
 feature set.
 .
 This package contains the user-space support needed to use the
 NFS kernel server. Most administrators wishing to set up an NFS server
 would want to install this package.
Homepage: http://nfs.sourceforge.net/

Package: nfs-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rpcbind (>= 0.2.0-6ubuntu1), adduser, ucf, lsb-base (>= 1.3-9ubuntu3), initscripts (>= 2.88dsf-13.10ubuntu1), libtirpc1 (>= 0.2.4), keyutils
Recommends: python
Suggests: open-iscsi, watchdog
Provides: nfs-client
Conflicts: nfs-client
Breaks: nfs-kernel-server (<< 1:1.2.8-9ubuntu7~)
Replaces: nfs-client, nfs-kernel-server (<< 1:1.2.8-9ubuntu7~), mount (<< 2.13~)
Description: NFS support files common to client and server
 Use this package on any machine that uses NFS, either as client or
 server.  Programs included: lockd, statd, showmount, nfsstat, gssd,
 idmapd and mount.nfs.
Homepage: http://nfs.sourceforge.net/
