=== debian/rules ===
--- 
+++ 
@@ -54,12 +54,16 @@
 	dh_install -Xman --fail-missing
 	dh_installdocs -A
 	dh_installdocs -pnfs-common debian/README.Debian.nfsv4
-	dh_installinit -pnfs-common --upstart-only -R --name statd
-	dh_installinit -pnfs-common --upstart-only --no-start --name statd-mounting
-	dh_installinit -pnfs-common --upstart-only -R --name gssd
-	dh_installinit -pnfs-common --upstart-only --no-start --name gssd-mounting
-	dh_installinit -pnfs-common --upstart-only -R --name idmapd
-	dh_installinit -pnfs-common --upstart-only --no-start --name idmapd-mounting
+	dh_systemd_enable -p nfs-common nfs-client.target
+	dh_systemd_enable -p nfs-kernel-server nfs-server.service
+	dh_installinit -pnfs-common --no-start -R --name statd
+	dh_installinit -pnfs-common --no-start --name statd-mounting
+	dh_installinit -pnfs-common -R --name gssd
+	dh_installinit -pnfs-common --no-start --name gssd-mounting
+	dh_installinit -pnfs-common -R --name idmapd
+	dh_installinit -pnfs-common --no-start --name idmapd-mounting
+	dh_systemd_start -p nfs-common --restart-after-upgrade nfs-utils.service
+	dh_systemd_start -p nfs-kernel-server --restart-after-upgrade nfs-server.service
 	install -m 0755 debian/nfs-kernel-server.init debian/nfs-kernel-server/etc/init.d/nfs-kernel-server
 	install -m 0644 debian/nfs-common.bugcontrol debian/nfs-common/usr/share/bug/nfs-common/control
 	install -m 0755 debian/nfs-common.bugscript debian/nfs-common/usr/share/bug/nfs-common/script
@@ -67,7 +71,7 @@
 	install -m 0644 debian/nfs-utils.bugpresubj debian/nfs-common/usr/share/bug/nfs-utils/presubj
 	install -m 0755 debian/nfs-kernel-server.bugscript debian/nfs-kernel-server/usr/share/bug/nfs-kernel-server/script
 	dh_link
-	dh_installchangelogs ChangeLog
+	dh_installchangelogs
 	dh_lintian
 	dh_strip
 	dh_compress
