## nfs-utils 1.3.0

=== debian/changelog ===
nfs-utils (1:1.3.0-0tanglu1) staging; urgency=low

  * New upstream release
  * Install systemd units, alias the nfs-client.target as nfs-common
  * This release is experimental, please test it in staging

 -- Matthias Klumpp <mak@debian.org>  Wed, 22 Oct 2014 17:56:46 +0200
