=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: nfs-utils
 Priority: standard
 Section: net
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>
 XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper (>= 7), libwrap0-dev, libevent-dev, libnfsidmap-dev (>= 0.24), libkrb5-dev, libgssglue-dev (>= 0.3), libblkid-dev, libkeyutils-dev, pkg-config, libldap2-dev, libcap-dev, libtirpc-dev (>= 0.2.4-2~), libdevmapper-dev, dh-autoreconf, libmount-dev, libsqlite3-dev, dh-systemd
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 9), libwrap0-dev, libevent-dev, libnfsidmap-dev (>= 0.24), libkrb5-dev, libblkid-dev, libkeyutils-dev, pkg-config, libldap2-dev, libcap-dev, libtirpc-dev (>= 0.2.4-2~), libdevmapper-dev, dh-autoreconf, dh-systemd, libmount-dev, libsqlite3-dev
+Standards-Version: 3.9.6
 Homepage: http://nfs.sourceforge.net/
 Vcs-Git: git://git.debian.org/kernel/nfs-utils.git
 Vcs-Browser: http://git.debian.org/?p=kernel/nfs-utils.git
@@ -33,13 +33,13 @@
 
 Package: nfs-common
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, rpcbind (>= 0.2.0-6ubuntu1), adduser, ucf, lsb-base (>= 1.3-9ubuntu3), initscripts (>= 2.88dsf-13.10ubuntu1), libtirpc1 (>= 0.2.4), keyutils
+Depends: ${shlibs:Depends}, ${misc:Depends}, rpcbind, adduser, ucf, lsb-base (>= 1.3-9ubuntu3), initscripts (>= 2.88dsf-13.3), libtirpc1 (>= 0.2.4)
 Recommends: python
 Suggests: open-iscsi, watchdog
 Provides: nfs-client
 Conflicts: nfs-client
-Breaks: nfs-kernel-server (<< 1:1.2.8-9ubuntu7~)
-Replaces: nfs-client, nfs-kernel-server (<< 1:1.2.8-9ubuntu7~), mount (<< 2.13~)
+Breaks: nfs-kernel-server (<< 1:1.2.8-6~)
+Replaces: nfs-client, nfs-kernel-server (<< 1:1.2.8-6~), mount (<< 2.13~)
 Description: NFS support files common to client and server
  Use this package on any machine that uses NFS, either as client or
  server.  Programs included: lockd, statd, showmount, nfsstat, gssd,
