=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,9 @@
 		--enable-nfsv41 \
 		--enable-ipv6 \
 		--enable-libmount-mount \
-		--with-tcp-wrappers
+		--with-tcp-wrappers \
+		--enable-gss \
+		--enable-mountconfig
 	$(MAKE) $(MAKEFLAGS)
 	touch build-stamp
 
@@ -54,16 +56,9 @@
 	dh_install -Xman --fail-missing
 	dh_installdocs -A
 	dh_installdocs -pnfs-common debian/README.Debian.nfsv4
-	dh_systemd_enable -p nfs-common nfs-client.target
-	dh_systemd_enable -p nfs-kernel-server nfs-server.service
-	dh_installinit -pnfs-common --no-start -R --name statd
-	dh_installinit -pnfs-common --no-start --name statd-mounting
-	dh_installinit -pnfs-common -R --name gssd
-	dh_installinit -pnfs-common --no-start --name gssd-mounting
-	dh_installinit -pnfs-common -R --name idmapd
-	dh_installinit -pnfs-common --no-start --name idmapd-mounting
-	dh_systemd_start -p nfs-common --restart-after-upgrade nfs-utils.service
-	dh_systemd_start -p nfs-kernel-server --restart-after-upgrade nfs-server.service
+	dh_systemd_enable -pnfs-common
+	dh_installinit -pnfs-common -R
+	dh_systemd_start -pnfs-common
 	install -m 0755 debian/nfs-kernel-server.init debian/nfs-kernel-server/etc/init.d/nfs-kernel-server
 	install -m 0644 debian/nfs-common.bugcontrol debian/nfs-common/usr/share/bug/nfs-common/control
 	install -m 0755 debian/nfs-common.bugscript debian/nfs-common/usr/share/bug/nfs-common/script
