=== debian/control ===
Source: nfs-utils
Priority: optional
Section: net
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Uploaders: Ben Hutchings <ben@decadent.org.uk>, Steve Langasek <vorlon@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Build-Depends: debhelper (>= 9.20160709), libwrap0-dev, libevent-dev, libnfsidmap-dev (>= 0.24), libkrb5-dev, libblkid-dev, libkeyutils-dev, pkg-config, libldap2-dev, libcap-dev, libtirpc-dev (>= 1.0.2), libdevmapper-dev, dh-autoreconf, libmount-dev, libsqlite3-dev
Standards-Version: 4.2.1
Homepage: https://linux-nfs.org/
Vcs-Git: https://salsa.debian.org/kernel-team/nfs-utils.git
Vcs-Browser: https://salsa.debian.org/kernel-team/nfs-utils

Package: nfs-kernel-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nfs-common (= ${binary:Version}), ucf, netbase, lsb-base (>= 1.3-9ubuntu3), keyutils
Provides: knfs, nfs-server
Conflicts: knfs, nfs-server
Replaces: knfs, nfs-server
Description: support for NFS kernel server
 The NFS kernel server is currently the recommended NFS server for use
 with Linux, featuring features such as NFSv3 and NFSv4, Kerberos
 support via GSS, and much more. It is also significantly faster and
 usually more reliable than the user-space NFS servers (from the
 unfs3 and nfs-user-server packages). However, it is more difficult to
 debug than the user-space servers, and has a slightly different
 feature set.
 .
 This package contains the user-space support needed to use the
 NFS kernel server. Most administrators wishing to set up an NFS server
 would want to install this package.

Package: nfs-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rpcbind, adduser, ucf, lsb-base (>= 1.3-9ubuntu3), keyutils
Recommends: python3
Suggests: open-iscsi, watchdog
Provides: nfs-client
Conflicts: nfs-client
Breaks: nfs-kernel-server (<< 1:1.2.8-6~)
Replaces: nfs-client, nfs-kernel-server (<< 1:1.2.8-6~), mount (<< 2.13~)
Description: NFS support files common to client and server
 Use this package on any machine that uses NFS, either as client or
 server.  Programs included: lockd, statd, showmount, nfsstat, gssd,
 idmapd and mount.nfs.
