=== debian/rules ===
--- 
+++ 
@@ -24,14 +24,12 @@
 build-stamp:
 	dh_testdir
 	dh_autoreconf
-	CFLAGS="$(CFLAGS)" ./configure \
-		--mandir='$${prefix}/share/man' \
+	CFLAGS="$(CFLAGS)" dh_auto_configure -- \
 		--enable-nfsv41 \
 		--enable-ipv6 \
 		--enable-libmount-mount \
-		--with-tcp-wrappers \
-		--enable-gss \
-		--enable-mountconfig
+                --enable-svcgss \
+		--with-tcp-wrappers
 	$(MAKE) $(MAKEFLAGS)
 	touch build-stamp
 
@@ -56,9 +54,11 @@
 	dh_install -Xman --fail-missing
 	dh_installdocs -A
 	dh_installdocs -pnfs-common debian/README.Debian.nfsv4
-	dh_systemd_enable -pnfs-common
+	dh_systemd_enable -p nfs-common nfs-client.target
+	dh_systemd_enable -p nfs-kernel-server nfs-server.service
 	dh_installinit -pnfs-common -R
-	dh_systemd_start -pnfs-common
+	dh_systemd_start -p nfs-common --restart-after-upgrade nfs-utils.service
+	dh_systemd_start -p nfs-kernel-server --restart-after-upgrade nfs-server.service
 	install -m 0755 debian/nfs-kernel-server.init debian/nfs-kernel-server/etc/init.d/nfs-kernel-server
 	install -m 0644 debian/nfs-common.bugcontrol debian/nfs-common/usr/share/bug/nfs-common/control
 	install -m 0755 debian/nfs-common.bugscript debian/nfs-common/usr/share/bug/nfs-common/script
@@ -71,6 +71,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
+	chmod +x debian/nfs-common/usr/lib/systemd/scripts/nfs-utils_env.sh
 	chmod u+s debian/nfs-common/sbin/mount.nfs
 	dh_installdeb
 	dh_shlibdeps
