=== debian/tests/control ===
Tests: local-server-client
Depends: nfs-kernel-server
# we need machine isolation as we need to modprobe stuff
Restrictions: needs-root, isolation-machine, breaks-testbed
